import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteAggregationAuthorizationInput } from "../types/DeleteAggregationAuthorizationInput";
import { DeleteAggregationAuthorizationOutput } from "../types/DeleteAggregationAuthorizationOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/DeleteAggregationAuthorizationInput";
export * from "../types/DeleteAggregationAuthorizationOutput";
export * from "../types/DeleteAggregationAuthorizationExceptionsUnion";
export declare class DeleteAggregationAuthorizationCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteAggregationAuthorizationInput, OutputTypesUnion, DeleteAggregationAuthorizationOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: DeleteAggregationAuthorizationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteAggregationAuthorizationInput, DeleteAggregationAuthorizationOutput, Blob>;
    constructor(input: DeleteAggregationAuthorizationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<DeleteAggregationAuthorizationInput, DeleteAggregationAuthorizationOutput>;
}
