import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteRetentionConfigurationInput } from "../types/DeleteRetentionConfigurationInput";
import { DeleteRetentionConfigurationOutput } from "../types/DeleteRetentionConfigurationOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/DeleteRetentionConfigurationInput";
export * from "../types/DeleteRetentionConfigurationOutput";
export * from "../types/DeleteRetentionConfigurationExceptionsUnion";
export declare class DeleteRetentionConfigurationCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteRetentionConfigurationInput, OutputTypesUnion, DeleteRetentionConfigurationOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: DeleteRetentionConfigurationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteRetentionConfigurationInput, DeleteRetentionConfigurationOutput, Blob>;
    constructor(input: DeleteRetentionConfigurationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<DeleteRetentionConfigurationInput, DeleteRetentionConfigurationOutput>;
}
