import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeliverConfigSnapshotInput } from "../types/DeliverConfigSnapshotInput";
import { DeliverConfigSnapshotOutput } from "../types/DeliverConfigSnapshotOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/DeliverConfigSnapshotInput";
export * from "../types/DeliverConfigSnapshotOutput";
export * from "../types/DeliverConfigSnapshotExceptionsUnion";
export declare class DeliverConfigSnapshotCommand implements __aws_sdk_types.Command<InputTypesUnion, DeliverConfigSnapshotInput, OutputTypesUnion, DeliverConfigSnapshotOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: DeliverConfigSnapshotInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeliverConfigSnapshotInput, DeliverConfigSnapshotOutput, Blob>;
    constructor(input: DeliverConfigSnapshotInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<DeliverConfigSnapshotInput, DeliverConfigSnapshotOutput>;
}
