"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeDeliveryChannelStatus_1 = require("../model/operations/DescribeDeliveryChannelStatus");
var DescribeDeliveryChannelStatusCommand = /** @class */ (function () {
    function DescribeDeliveryChannelStatusCommand(input) {
        this.input = input;
        this.model = DescribeDeliveryChannelStatus_1.DescribeDeliveryChannelStatus;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeDeliveryChannelStatusCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeDeliveryChannelStatusCommand;
}());
exports.DescribeDeliveryChannelStatusCommand = DescribeDeliveryChannelStatusCommand;
//# sourceMappingURL=DescribeDeliveryChannelStatusCommand.js.map