"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribePendingAggregationRequests_1 = require("../model/operations/DescribePendingAggregationRequests");
var DescribePendingAggregationRequestsCommand = /** @class */ (function () {
    function DescribePendingAggregationRequestsCommand(input) {
        this.input = input;
        this.model = DescribePendingAggregationRequests_1.DescribePendingAggregationRequests;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribePendingAggregationRequestsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribePendingAggregationRequestsCommand;
}());
exports.DescribePendingAggregationRequestsCommand = DescribePendingAggregationRequestsCommand;
//# sourceMappingURL=DescribePendingAggregationRequestsCommand.js.map