import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetAggregateComplianceDetailsByConfigRuleInput } from "../types/GetAggregateComplianceDetailsByConfigRuleInput";
import { GetAggregateComplianceDetailsByConfigRuleOutput } from "../types/GetAggregateComplianceDetailsByConfigRuleOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/GetAggregateComplianceDetailsByConfigRuleInput";
export * from "../types/GetAggregateComplianceDetailsByConfigRuleOutput";
export * from "../types/GetAggregateComplianceDetailsByConfigRuleExceptionsUnion";
export declare class GetAggregateComplianceDetailsByConfigRuleCommand implements __aws_sdk_types.Command<InputTypesUnion, GetAggregateComplianceDetailsByConfigRuleInput, OutputTypesUnion, GetAggregateComplianceDetailsByConfigRuleOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: GetAggregateComplianceDetailsByConfigRuleInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetAggregateComplianceDetailsByConfigRuleInput, GetAggregateComplianceDetailsByConfigRuleOutput, Blob>;
    constructor(input: GetAggregateComplianceDetailsByConfigRuleInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<GetAggregateComplianceDetailsByConfigRuleInput, GetAggregateComplianceDetailsByConfigRuleOutput>;
}
