import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetAggregateResourceConfigInput } from "../types/GetAggregateResourceConfigInput";
import { GetAggregateResourceConfigOutput } from "../types/GetAggregateResourceConfigOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/GetAggregateResourceConfigInput";
export * from "../types/GetAggregateResourceConfigOutput";
export * from "../types/GetAggregateResourceConfigExceptionsUnion";
export declare class GetAggregateResourceConfigCommand implements __aws_sdk_types.Command<InputTypesUnion, GetAggregateResourceConfigInput, OutputTypesUnion, GetAggregateResourceConfigOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: GetAggregateResourceConfigInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetAggregateResourceConfigInput, GetAggregateResourceConfigOutput, Blob>;
    constructor(input: GetAggregateResourceConfigInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<GetAggregateResourceConfigInput, GetAggregateResourceConfigOutput>;
}
