"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetAggregateResourceConfig_1 = require("../model/operations/GetAggregateResourceConfig");
var GetAggregateResourceConfigCommand = /** @class */ (function () {
    function GetAggregateResourceConfigCommand(input) {
        this.input = input;
        this.model = GetAggregateResourceConfig_1.GetAggregateResourceConfig;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetAggregateResourceConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetAggregateResourceConfigCommand;
}());
exports.GetAggregateResourceConfigCommand = GetAggregateResourceConfigCommand;
//# sourceMappingURL=GetAggregateResourceConfigCommand.js.map