"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetComplianceSummaryByResourceType_1 = require("../model/operations/GetComplianceSummaryByResourceType");
var GetComplianceSummaryByResourceTypeCommand = /** @class */ (function () {
    function GetComplianceSummaryByResourceTypeCommand(input) {
        this.input = input;
        this.model = GetComplianceSummaryByResourceType_1.GetComplianceSummaryByResourceType;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetComplianceSummaryByResourceTypeCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetComplianceSummaryByResourceTypeCommand;
}());
exports.GetComplianceSummaryByResourceTypeCommand = GetComplianceSummaryByResourceTypeCommand;
//# sourceMappingURL=GetComplianceSummaryByResourceTypeCommand.js.map