import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutConfigurationRecorderInput } from "../types/PutConfigurationRecorderInput";
import { PutConfigurationRecorderOutput } from "../types/PutConfigurationRecorderOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/PutConfigurationRecorderInput";
export * from "../types/PutConfigurationRecorderOutput";
export * from "../types/PutConfigurationRecorderExceptionsUnion";
export declare class PutConfigurationRecorderCommand implements __aws_sdk_types.Command<InputTypesUnion, PutConfigurationRecorderInput, OutputTypesUnion, PutConfigurationRecorderOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: PutConfigurationRecorderInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutConfigurationRecorderInput, PutConfigurationRecorderOutput, Blob>;
    constructor(input: PutConfigurationRecorderInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<PutConfigurationRecorderInput, PutConfigurationRecorderOutput>;
}
