"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutEvaluations_1 = require("../model/operations/PutEvaluations");
var PutEvaluationsCommand = /** @class */ (function () {
    function PutEvaluationsCommand(input) {
        this.input = input;
        this.model = PutEvaluations_1.PutEvaluations;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutEvaluationsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutEvaluationsCommand;
}());
exports.PutEvaluationsCommand = PutEvaluationsCommand;
//# sourceMappingURL=PutEvaluationsCommand.js.map