"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteOrganizationConfigRuleInput_1 = require("../shapes/DeleteOrganizationConfigRuleInput");
var DeleteOrganizationConfigRuleOutput_1 = require("../shapes/DeleteOrganizationConfigRuleOutput");
var NoSuchOrganizationConfigRuleException_1 = require("../shapes/NoSuchOrganizationConfigRuleException");
var ResourceInUseException_1 = require("../shapes/ResourceInUseException");
var OrganizationAccessDeniedException_1 = require("../shapes/OrganizationAccessDeniedException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteOrganizationConfigRule = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteOrganizationConfigRule",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteOrganizationConfigRuleInput_1.DeleteOrganizationConfigRuleInput
    },
    output: {
        shape: DeleteOrganizationConfigRuleOutput_1.DeleteOrganizationConfigRuleOutput
    },
    errors: [
        {
            shape: NoSuchOrganizationConfigRuleException_1.NoSuchOrganizationConfigRuleException
        },
        {
            shape: ResourceInUseException_1.ResourceInUseException
        },
        {
            shape: OrganizationAccessDeniedException_1.OrganizationAccessDeniedException
        }
    ]
};
//# sourceMappingURL=DeleteOrganizationConfigRule.js.map