"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeAggregateComplianceByConfigRulesInput_1 = require("../shapes/DescribeAggregateComplianceByConfigRulesInput");
var DescribeAggregateComplianceByConfigRulesOutput_1 = require("../shapes/DescribeAggregateComplianceByConfigRulesOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var InvalidLimitException_1 = require("../shapes/InvalidLimitException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var NoSuchConfigurationAggregatorException_1 = require("../shapes/NoSuchConfigurationAggregatorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeAggregateComplianceByConfigRules = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeAggregateComplianceByConfigRules",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeAggregateComplianceByConfigRulesInput_1.DescribeAggregateComplianceByConfigRulesInput
    },
    output: {
        shape: DescribeAggregateComplianceByConfigRulesOutput_1.DescribeAggregateComplianceByConfigRulesOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: InvalidLimitException_1.InvalidLimitException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: NoSuchConfigurationAggregatorException_1.NoSuchConfigurationAggregatorException
        }
    ]
};
//# sourceMappingURL=DescribeAggregateComplianceByConfigRules.js.map