"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeAggregationAuthorizationsInput_1 = require("../shapes/DescribeAggregationAuthorizationsInput");
var DescribeAggregationAuthorizationsOutput_1 = require("../shapes/DescribeAggregationAuthorizationsOutput");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var InvalidLimitException_1 = require("../shapes/InvalidLimitException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeAggregationAuthorizations = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeAggregationAuthorizations",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeAggregationAuthorizationsInput_1.DescribeAggregationAuthorizationsInput
    },
    output: {
        shape: DescribeAggregationAuthorizationsOutput_1.DescribeAggregationAuthorizationsOutput
    },
    errors: [
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: InvalidLimitException_1.InvalidLimitException
        }
    ]
};
//# sourceMappingURL=DescribeAggregationAuthorizations.js.map