"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeDeliveryChannelStatusInput_1 = require("../shapes/DescribeDeliveryChannelStatusInput");
var DescribeDeliveryChannelStatusOutput_1 = require("../shapes/DescribeDeliveryChannelStatusOutput");
var NoSuchDeliveryChannelException_1 = require("../shapes/NoSuchDeliveryChannelException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeDeliveryChannelStatus = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeDeliveryChannelStatus",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeDeliveryChannelStatusInput_1.DescribeDeliveryChannelStatusInput
    },
    output: {
        shape: DescribeDeliveryChannelStatusOutput_1.DescribeDeliveryChannelStatusOutput
    },
    errors: [
        {
            shape: NoSuchDeliveryChannelException_1.NoSuchDeliveryChannelException
        }
    ]
};
//# sourceMappingURL=DescribeDeliveryChannelStatus.js.map