"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetComplianceDetailsByResourceInput_1 = require("../shapes/GetComplianceDetailsByResourceInput");
var GetComplianceDetailsByResourceOutput_1 = require("../shapes/GetComplianceDetailsByResourceOutput");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetComplianceDetailsByResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetComplianceDetailsByResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetComplianceDetailsByResourceInput_1.GetComplianceDetailsByResourceInput
    },
    output: {
        shape: GetComplianceDetailsByResourceOutput_1.GetComplianceDetailsByResourceOutput
    },
    errors: [
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        }
    ]
};
//# sourceMappingURL=GetComplianceDetailsByResource.js.map