"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListAggregateDiscoveredResourcesInput_1 = require("../shapes/ListAggregateDiscoveredResourcesInput");
var ListAggregateDiscoveredResourcesOutput_1 = require("../shapes/ListAggregateDiscoveredResourcesOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var InvalidLimitException_1 = require("../shapes/InvalidLimitException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var NoSuchConfigurationAggregatorException_1 = require("../shapes/NoSuchConfigurationAggregatorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListAggregateDiscoveredResources = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListAggregateDiscoveredResources",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListAggregateDiscoveredResourcesInput_1.ListAggregateDiscoveredResourcesInput
    },
    output: {
        shape: ListAggregateDiscoveredResourcesOutput_1.ListAggregateDiscoveredResourcesOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: InvalidLimitException_1.InvalidLimitException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: NoSuchConfigurationAggregatorException_1.NoSuchConfigurationAggregatorException
        }
    ]
};
//# sourceMappingURL=ListAggregateDiscoveredResources.js.map