"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ResourceFilters_1 = require("./_ResourceFilters");
exports.ListAggregateDiscoveredResourcesInput = {
    type: "structure",
    required: ["ConfigurationAggregatorName", "ResourceType"],
    members: {
        ConfigurationAggregatorName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ResourceType: {
            shape: {
                type: "string"
            }
        },
        Filters: {
            shape: _ResourceFilters_1._ResourceFilters
        },
        Limit: {
            shape: {
                type: "integer"
            }
        },
        NextToken: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=ListAggregateDiscoveredResourcesInput.js.map