"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _SupplementaryConfiguration_1 = require("./_SupplementaryConfiguration");
exports._BaseConfigurationItem = {
    type: "structure",
    required: [],
    members: {
        version: {
            shape: {
                type: "string"
            }
        },
        accountId: {
            shape: {
                type: "string"
            }
        },
        configurationItemCaptureTime: {
            shape: {
                type: "timestamp"
            }
        },
        configurationItemStatus: {
            shape: {
                type: "string"
            }
        },
        configurationStateId: {
            shape: {
                type: "string"
            }
        },
        arn: {
            shape: {
                type: "string"
            }
        },
        resourceType: {
            shape: {
                type: "string"
            }
        },
        resourceId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        resourceName: {
            shape: {
                type: "string"
            }
        },
        awsRegion: {
            shape: {
                type: "string",
                min: 1
            }
        },
        availabilityZone: {
            shape: {
                type: "string"
            }
        },
        resourceCreationTime: {
            shape: {
                type: "timestamp"
            }
        },
        configuration: {
            shape: {
                type: "string"
            }
        },
        supplementaryConfiguration: {
            shape: _SupplementaryConfiguration_1._SupplementaryConfiguration
        }
    }
};
//# sourceMappingURL=_BaseConfigurationItem.js.map