"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _AccountAggregationSourceList_1 = require("./_AccountAggregationSourceList");
var _OrganizationAggregationSource_1 = require("./_OrganizationAggregationSource");
exports._ConfigurationAggregator = {
    type: "structure",
    required: [],
    members: {
        ConfigurationAggregatorName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ConfigurationAggregatorArn: {
            shape: {
                type: "string"
            }
        },
        AccountAggregationSources: {
            shape: _AccountAggregationSourceList_1._AccountAggregationSourceList
        },
        OrganizationAggregationSource: {
            shape: _OrganizationAggregationSource_1._OrganizationAggregationSource
        },
        CreationTime: {
            shape: {
                type: "timestamp"
            }
        },
        LastUpdatedTime: {
            shape: {
                type: "timestamp"
            }
        }
    }
};
//# sourceMappingURL=_ConfigurationAggregator.js.map