"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _OrganizationManagedRuleMetadata_1 = require("./_OrganizationManagedRuleMetadata");
var _OrganizationCustomRuleMetadata_1 = require("./_OrganizationCustomRuleMetadata");
var _ExcludedAccounts_1 = require("./_ExcludedAccounts");
exports._OrganizationConfigRule = {
    type: "structure",
    required: ["OrganizationConfigRuleName", "OrganizationConfigRuleArn"],
    members: {
        OrganizationConfigRuleName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        OrganizationConfigRuleArn: {
            shape: {
                type: "string",
                min: 1
            }
        },
        OrganizationManagedRuleMetadata: {
            shape: _OrganizationManagedRuleMetadata_1._OrganizationManagedRuleMetadata
        },
        OrganizationCustomRuleMetadata: {
            shape: _OrganizationCustomRuleMetadata_1._OrganizationCustomRuleMetadata
        },
        ExcludedAccounts: {
            shape: _ExcludedAccounts_1._ExcludedAccounts
        },
        LastUpdateTime: {
            shape: {
                type: "timestamp"
            }
        }
    }
};
//# sourceMappingURL=_OrganizationConfigRule.js.map