import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteOrganizationConfigRuleInput } from "../types/DeleteOrganizationConfigRuleInput";
import { DeleteOrganizationConfigRuleOutput } from "../types/DeleteOrganizationConfigRuleOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/DeleteOrganizationConfigRuleInput";
export * from "../types/DeleteOrganizationConfigRuleOutput";
export * from "../types/DeleteOrganizationConfigRuleExceptionsUnion";
export declare class DeleteOrganizationConfigRuleCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteOrganizationConfigRuleInput, OutputTypesUnion, DeleteOrganizationConfigRuleOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: DeleteOrganizationConfigRuleInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteOrganizationConfigRuleInput, DeleteOrganizationConfigRuleOutput, Blob>;
    constructor(input: DeleteOrganizationConfigRuleInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<DeleteOrganizationConfigRuleInput, DeleteOrganizationConfigRuleOutput>;
}
