import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeConfigRuleEvaluationStatusInput } from "../types/DescribeConfigRuleEvaluationStatusInput";
import { DescribeConfigRuleEvaluationStatusOutput } from "../types/DescribeConfigRuleEvaluationStatusOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/DescribeConfigRuleEvaluationStatusInput";
export * from "../types/DescribeConfigRuleEvaluationStatusOutput";
export * from "../types/DescribeConfigRuleEvaluationStatusExceptionsUnion";
export declare class DescribeConfigRuleEvaluationStatusCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeConfigRuleEvaluationStatusInput, OutputTypesUnion, DescribeConfigRuleEvaluationStatusOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: DescribeConfigRuleEvaluationStatusInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeConfigRuleEvaluationStatusInput, DescribeConfigRuleEvaluationStatusOutput, Blob>;
    constructor(input: DescribeConfigRuleEvaluationStatusInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeConfigRuleEvaluationStatusInput, DescribeConfigRuleEvaluationStatusOutput>;
}
