"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetResourceConfigHistory_1 = require("../model/operations/GetResourceConfigHistory");
var GetResourceConfigHistoryCommand = /** @class */ (function () {
    function GetResourceConfigHistoryCommand(input) {
        this.input = input;
        this.model = GetResourceConfigHistory_1.GetResourceConfigHistory;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetResourceConfigHistoryCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetResourceConfigHistoryCommand;
}());
exports.GetResourceConfigHistoryCommand = GetResourceConfigHistoryCommand;
//# sourceMappingURL=GetResourceConfigHistoryCommand.js.map