import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListDiscoveredResourcesInput } from "../types/ListDiscoveredResourcesInput";
import { ListDiscoveredResourcesOutput } from "../types/ListDiscoveredResourcesOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/ListDiscoveredResourcesInput";
export * from "../types/ListDiscoveredResourcesOutput";
export * from "../types/ListDiscoveredResourcesExceptionsUnion";
export declare class ListDiscoveredResourcesCommand implements __aws_sdk_types.Command<InputTypesUnion, ListDiscoveredResourcesInput, OutputTypesUnion, ListDiscoveredResourcesOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: ListDiscoveredResourcesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListDiscoveredResourcesInput, ListDiscoveredResourcesOutput, Blob>;
    constructor(input: ListDiscoveredResourcesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<ListDiscoveredResourcesInput, ListDiscoveredResourcesOutput>;
}
