import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { StartConfigurationRecorderInput } from "../types/StartConfigurationRecorderInput";
import { StartConfigurationRecorderOutput } from "../types/StartConfigurationRecorderOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/StartConfigurationRecorderInput";
export * from "../types/StartConfigurationRecorderOutput";
export * from "../types/StartConfigurationRecorderExceptionsUnion";
export declare class StartConfigurationRecorderCommand implements __aws_sdk_types.Command<InputTypesUnion, StartConfigurationRecorderInput, OutputTypesUnion, StartConfigurationRecorderOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: StartConfigurationRecorderInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<StartConfigurationRecorderInput, StartConfigurationRecorderOutput, Blob>;
    constructor(input: StartConfigurationRecorderInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<StartConfigurationRecorderInput, StartConfigurationRecorderOutput>;
}
