import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { StopConfigurationRecorderInput } from "../types/StopConfigurationRecorderInput";
import { StopConfigurationRecorderOutput } from "../types/StopConfigurationRecorderOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/StopConfigurationRecorderInput";
export * from "../types/StopConfigurationRecorderOutput";
export * from "../types/StopConfigurationRecorderExceptionsUnion";
export declare class StopConfigurationRecorderCommand implements __aws_sdk_types.Command<InputTypesUnion, StopConfigurationRecorderInput, OutputTypesUnion, StopConfigurationRecorderOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: StopConfigurationRecorderInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<StopConfigurationRecorderInput, StopConfigurationRecorderOutput, Blob>;
    constructor(input: StopConfigurationRecorderInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<StopConfigurationRecorderInput, StopConfigurationRecorderOutput>;
}
