"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteConfigurationRecorderInput_1 = require("../shapes/DeleteConfigurationRecorderInput");
var DeleteConfigurationRecorderOutput_1 = require("../shapes/DeleteConfigurationRecorderOutput");
var NoSuchConfigurationRecorderException_1 = require("../shapes/NoSuchConfigurationRecorderException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteConfigurationRecorder = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteConfigurationRecorder",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteConfigurationRecorderInput_1.DeleteConfigurationRecorderInput
    },
    output: {
        shape: DeleteConfigurationRecorderOutput_1.DeleteConfigurationRecorderOutput
    },
    errors: [
        {
            shape: NoSuchConfigurationRecorderException_1.NoSuchConfigurationRecorderException
        }
    ]
};
//# sourceMappingURL=DeleteConfigurationRecorder.js.map