"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeConfigRulesInput_1 = require("../shapes/DescribeConfigRulesInput");
var DescribeConfigRulesOutput_1 = require("../shapes/DescribeConfigRulesOutput");
var NoSuchConfigRuleException_1 = require("../shapes/NoSuchConfigRuleException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeConfigRules = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeConfigRules",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeConfigRulesInput_1.DescribeConfigRulesInput
    },
    output: {
        shape: DescribeConfigRulesOutput_1.DescribeConfigRulesOutput
    },
    errors: [
        {
            shape: NoSuchConfigRuleException_1.NoSuchConfigRuleException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        }
    ]
};
//# sourceMappingURL=DescribeConfigRules.js.map