"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeConfigurationRecorderStatusInput_1 = require("../shapes/DescribeConfigurationRecorderStatusInput");
var DescribeConfigurationRecorderStatusOutput_1 = require("../shapes/DescribeConfigurationRecorderStatusOutput");
var NoSuchConfigurationRecorderException_1 = require("../shapes/NoSuchConfigurationRecorderException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeConfigurationRecorderStatus = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeConfigurationRecorderStatus",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeConfigurationRecorderStatusInput_1.DescribeConfigurationRecorderStatusInput
    },
    output: {
        shape: DescribeConfigurationRecorderStatusOutput_1.DescribeConfigurationRecorderStatusOutput
    },
    errors: [
        {
            shape: NoSuchConfigurationRecorderException_1.NoSuchConfigurationRecorderException
        }
    ]
};
//# sourceMappingURL=DescribeConfigurationRecorderStatus.js.map