"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetAggregateComplianceDetailsByConfigRuleInput_1 = require("../shapes/GetAggregateComplianceDetailsByConfigRuleInput");
var GetAggregateComplianceDetailsByConfigRuleOutput_1 = require("../shapes/GetAggregateComplianceDetailsByConfigRuleOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var InvalidLimitException_1 = require("../shapes/InvalidLimitException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var NoSuchConfigurationAggregatorException_1 = require("../shapes/NoSuchConfigurationAggregatorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetAggregateComplianceDetailsByConfigRule = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetAggregateComplianceDetailsByConfigRule",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetAggregateComplianceDetailsByConfigRuleInput_1.GetAggregateComplianceDetailsByConfigRuleInput
    },
    output: {
        shape: GetAggregateComplianceDetailsByConfigRuleOutput_1.GetAggregateComplianceDetailsByConfigRuleOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: InvalidLimitException_1.InvalidLimitException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: NoSuchConfigurationAggregatorException_1.NoSuchConfigurationAggregatorException
        }
    ]
};
//# sourceMappingURL=GetAggregateComplianceDetailsByConfigRule.js.map