"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetComplianceDetailsByConfigRuleInput_1 = require("../shapes/GetComplianceDetailsByConfigRuleInput");
var GetComplianceDetailsByConfigRuleOutput_1 = require("../shapes/GetComplianceDetailsByConfigRuleOutput");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var NoSuchConfigRuleException_1 = require("../shapes/NoSuchConfigRuleException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetComplianceDetailsByConfigRule = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetComplianceDetailsByConfigRule",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetComplianceDetailsByConfigRuleInput_1.GetComplianceDetailsByConfigRuleInput
    },
    output: {
        shape: GetComplianceDetailsByConfigRuleOutput_1.GetComplianceDetailsByConfigRuleOutput
    },
    errors: [
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: NoSuchConfigRuleException_1.NoSuchConfigRuleException
        }
    ]
};
//# sourceMappingURL=GetComplianceDetailsByConfigRule.js.map