"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetOrganizationConfigRuleDetailedStatusInput_1 = require("../shapes/GetOrganizationConfigRuleDetailedStatusInput");
var GetOrganizationConfigRuleDetailedStatusOutput_1 = require("../shapes/GetOrganizationConfigRuleDetailedStatusOutput");
var NoSuchOrganizationConfigRuleException_1 = require("../shapes/NoSuchOrganizationConfigRuleException");
var InvalidLimitException_1 = require("../shapes/InvalidLimitException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var OrganizationAccessDeniedException_1 = require("../shapes/OrganizationAccessDeniedException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetOrganizationConfigRuleDetailedStatus = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetOrganizationConfigRuleDetailedStatus",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetOrganizationConfigRuleDetailedStatusInput_1.GetOrganizationConfigRuleDetailedStatusInput
    },
    output: {
        shape: GetOrganizationConfigRuleDetailedStatusOutput_1.GetOrganizationConfigRuleDetailedStatusOutput
    },
    errors: [
        {
            shape: NoSuchOrganizationConfigRuleException_1.NoSuchOrganizationConfigRuleException
        },
        {
            shape: InvalidLimitException_1.InvalidLimitException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: OrganizationAccessDeniedException_1.OrganizationAccessDeniedException
        }
    ]
};
//# sourceMappingURL=GetOrganizationConfigRuleDetailedStatus.js.map