"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SelectResourceConfigInput_1 = require("../shapes/SelectResourceConfigInput");
var SelectResourceConfigOutput_1 = require("../shapes/SelectResourceConfigOutput");
var InvalidExpressionException_1 = require("../shapes/InvalidExpressionException");
var InvalidLimitException_1 = require("../shapes/InvalidLimitException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.SelectResourceConfig = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "SelectResourceConfig",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: SelectResourceConfigInput_1.SelectResourceConfigInput
    },
    output: {
        shape: SelectResourceConfigOutput_1.SelectResourceConfigOutput
    },
    errors: [
        {
            shape: InvalidExpressionException_1.InvalidExpressionException
        },
        {
            shape: InvalidLimitException_1.InvalidLimitException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        }
    ]
};
//# sourceMappingURL=SelectResourceConfig.js.map