"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetAggregateComplianceDetailsByConfigRuleInput = {
    type: "structure",
    required: [
        "ConfigurationAggregatorName",
        "ConfigRuleName",
        "AccountId",
        "AwsRegion"
    ],
    members: {
        ConfigurationAggregatorName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ConfigRuleName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        AccountId: {
            shape: {
                type: "string"
            }
        },
        AwsRegion: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ComplianceType: {
            shape: {
                type: "string"
            }
        },
        Limit: {
            shape: {
                type: "integer"
            }
        },
        NextToken: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=GetAggregateComplianceDetailsByConfigRuleInput.js.map