"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Scope_1 = require("./_Scope");
var _Source_1 = require("./_Source");
exports._ConfigRule = {
    type: "structure",
    required: ["Source"],
    members: {
        ConfigRuleName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ConfigRuleArn: {
            shape: {
                type: "string"
            }
        },
        ConfigRuleId: {
            shape: {
                type: "string"
            }
        },
        Description: {
            shape: {
                type: "string"
            }
        },
        Scope: {
            shape: _Scope_1._Scope
        },
        Source: {
            shape: _Source_1._Source
        },
        InputParameters: {
            shape: {
                type: "string",
                min: 1
            }
        },
        MaximumExecutionFrequency: {
            shape: {
                type: "string"
            }
        },
        ConfigRuleState: {
            shape: {
                type: "string"
            }
        },
        CreatedBy: {
            shape: {
                type: "string",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=_ConfigRule.js.map