"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._OrganizationConfigRuleStatus = {
    type: "structure",
    required: ["OrganizationConfigRuleName", "OrganizationRuleStatus"],
    members: {
        OrganizationConfigRuleName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        OrganizationRuleStatus: {
            shape: {
                type: "string"
            }
        },
        ErrorCode: {
            shape: {
                type: "string"
            }
        },
        ErrorMessage: {
            shape: {
                type: "string"
            }
        },
        LastUpdateTime: {
            shape: {
                type: "timestamp"
            }
        }
    }
};
//# sourceMappingURL=_OrganizationConfigRuleStatus.js.map