"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _OrganizationConfigRuleTriggerTypes_1 = require("./_OrganizationConfigRuleTriggerTypes");
var _ResourceTypesScope_1 = require("./_ResourceTypesScope");
exports._OrganizationCustomRuleMetadata = {
    type: "structure",
    required: ["LambdaFunctionArn", "OrganizationConfigRuleTriggerTypes"],
    members: {
        Description: {
            shape: {
                type: "string"
            }
        },
        LambdaFunctionArn: {
            shape: {
                type: "string",
                min: 1
            }
        },
        OrganizationConfigRuleTriggerTypes: {
            shape: _OrganizationConfigRuleTriggerTypes_1._OrganizationConfigRuleTriggerTypes
        },
        InputParameters: {
            shape: {
                type: "string",
                min: 1
            }
        },
        MaximumExecutionFrequency: {
            shape: {
                type: "string"
            }
        },
        ResourceTypesScope: {
            shape: _ResourceTypesScope_1._ResourceTypesScope
        },
        ResourceIdScope: {
            shape: {
                type: "string",
                min: 1
            }
        },
        TagKeyScope: {
            shape: {
                type: "string",
                min: 1
            }
        },
        TagValueScope: {
            shape: {
                type: "string",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=_OrganizationCustomRuleMetadata.js.map